Subject: bug#79124: emacs -Q doesn't give me a clean slate

From: Paul Eggert <[email-masked]>
Date: Wed, 6 Aug 2025 09:29:44 -0700

On 2025-08-06 09:22, Eli Zaretskii wrote:

> Because startup.el can load Lisp packages that are not preloaded.  The
> terminal-specific library from lisp/term/ and warnings.el are two that
> come to mind, but I won't be surprised that there are more.

That's fine; these files can be compiled as needed. Emacs simply need 
not consult the user home directory to see whether they have already 
been compiled by a previous Emacs execution.

> I fail to see the difference between trusting files in /tmp and
> trusting files in ~/.emacs.d/eln-cache.

Those files in /tmp are all created by the current Emacs execution, and 
can be trusted for that reason. The files that were already in 
~/.emacs.d/eln-cache are not, and they might have been corrupted for 
various reasons since they were created by a previous execution. That's 
an important difference.